PostgreSQL 9.2.3 Documentation
Prev | Up |  | Next

# CHECKPOINT

## Name

CHECKPOINT -- force a transaction log checkpoint

## Synopsis

    CHECKPOINT

## Description

A checkpoint is a point in the transaction log sequence at which all data files have been updated to reflect the information in the log. All data files will be flushed to disk. Refer to Section 29.4 for more details about what happens during a checkpoint.

The `CHECKPOINT` command forces an immediate checkpoint when the command is issued, without waiting for a regular checkpoint scheduled by the system (controlled by the settings in Section 18.5.2). `CHECKPOINT` is not intended for use during normal operation.

If executed during recovery, the `CHECKPOINT` command will force a restartpoint (see Section 29.4) rather than writing a new checkpoint.

Only superusers can call `CHECKPOINT`.

## Compatibility

The `CHECKPOINT` command is a PostgreSQL language extension.

Prev | Home | Next
BEGIN | Up | CLOSE